Get Kamino yield vault
curl --request GET \
--url https://platform.spritz.finance/v1/wallet-kit/yield/solana/kamino/vaults/{vaultId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.spritz.finance/v1/wallet-kit/yield/solana/kamino/vaults/{vaultId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.spritz.finance/v1/wallet-kit/yield/solana/kamino/vaults/{vaultId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"protocol": "kamino",
"chain": "solana",
"name": "<string>",
"isListed": true,
"depositToken": {
"symbol": "USDC",
"mint": "<string>",
"decimals": 123
},
"receiptToken": {
"mint": "<string>",
"decimals": 123
},
"apy": {
"current": "<string>",
"actual": "<string>",
"theoretical": "<string>",
"apy24h": "<string>",
"apy7d": "<string>",
"apy30d": "<string>",
"apy90d": "<string>",
"apy180d": "<string>",
"apy365d": "<string>",
"farmRewards": "<string>",
"incentives": "<string>",
"reservesIncentives": "<string>"
},
"tvl": {
"tokenAmount": "<string>",
"usdAmount": "<string>"
},
"liquidity": {
"availableTokenAmount": "<string>",
"investedTokenAmount": "<string>"
},
"sharePrice": "<string>",
"tokensPerShare": "<string>",
"numberOfHolders": 123,
"fees": {
"performanceFeeBps": 123,
"managementFeeBps": 123,
"withdrawalPenaltyBps": 123
},
"limits": {
"minDepositAmount": "<string>",
"minWithdrawAmount": "<string>"
},
"risk": {
"level": "low",
"labels": [
"<string>"
],
"whitelistedReservesOnly": true,
"whitelistedInvestOnly": true,
"hasFirstLossCapitalFarm": true,
"firstLossCapitalFarm": "<string>"
},
"allocations": [
{
"reserve": "<string>",
"marketName": "<string>",
"supplyApy": "<string>",
"totalSupplyUsd": "<string>",
"maxLtv": "<string>"
}
]
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true
}{
"title": "Unauthorized",
"status": 401,
"type": "urn:problem-type:auth:unauthorized",
"detail": "Bearer token required",
"instance": "<string>",
"realm": "API",
"scope": "read:users"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true
}Wallet Kit
Get Kamino yield vault
Returns one Solana Kamino vault. Unlisted vaults return 404 unless includeUnlisted=true is supplied.
GET
/
v1
/
wallet-kit
/
yield
/
solana
/
kamino
/
vaults
/
{vaultId}
Get Kamino yield vault
Authorizations
User bearer credential: either a Cognito JWT or an ak_ user API key. Backend integrators using HMAC must include the user API key alongside the three HMAC headers on user-scoped endpoints.
Path Parameters
Solana public key (base58).
Required string length:
32 - 44Pattern:
^[1-9A-HJ-NP-Za-km-z]+$Example:
"8sLbNZoA1cfnvMJLPfp98ZLAnFSYCFApfJKMbiXNLwxj"
Query Parameters
Deposit asset to filter by. Only USDC is currently supported.
Available options:
USDC Available options:
true, false Response
Kamino yield vault available through Wallet Kit.
Kamino yield vault available through Wallet Kit.
Kamino vault identifier.
Available options:
kamino Available options:
solana Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes